6.0.0-git
2019-06-26

[#5585] Starting and ending time of a task
Summary Starting and ending time of a task
Queue Hermes
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester cenek (at) optimsys (dot) cz
Created 2007-07-26 (4353 days ago)
Due
Updated 2014-04-22 (1891 days ago)
Assigned
Resolved
Milestone
Patch No

History
2008-06-26 09:36:13 Jan Schneider State ⇒ Accepted
 
2008-06-26 08:49:49 cenek (at) optimsys (dot) cz Comment #9 Reply to this comment
Would it be sufficient to add the start and end time in the time
entry description? Or do they have to be added as separate fields
that can be searched and sorted?
Hi, they should be added as separate fields so that the items can be 
sorted by date and then by time within the same day. The fields should 
be also interconnected with the Hours field so that end time - start 
time = hours. Also, it would be convenient to have a function that, 
after submitting an entry, creates a new one that has start time set 
to the end time value of the submitted entry.
2008-06-25 16:05:55 Jan Schneider Comment #8 Reply to this comment
This has been implemented.
2008-06-25 15:52:07 Jan Schneider Comment #6
State ⇒ Feedback
Reply to this comment
Would it be sufficient to add the start and end time in the time entry 
description? Or do they have to be added as separate fields that can 
be searched and sorted?
2007-08-26 16:23:31 Jan Schneider State ⇒ Accepted
 
2007-08-26 00:53:34 Chuck Hagenbuch State ⇒ New
 
2007-07-27 13:57:34 cenek (at) optimsys (dot) cz Comment #5 Reply to this comment
Just to make sure that I get you right: you really need to track the
start and end times of the time slices, so that you can retrieve them
later?
Yes.
Or do you only want to be able to enter start and end times of
a time slice and get the hours calculated automatically?
No.
2007-07-27 13:49:24 Jan Schneider Comment #4 Reply to this comment
Just to make sure that I get you right: you really need to track the 
start and end times of the time slices, so that you can retrieve them 
later? Or do you only want to be able to enter start and end times of 
a time slice and get the hours calculated automatically?
2007-07-27 13:04:51 cenek (at) optimsys (dot) cz Comment #3 Reply to this comment
Jan, thank you for a prompt reaction. Taking the tasks from another 
module does not satisfy our needs. We want to track our everyday work 
which includes a lot of tasks that have not been planned and therefore 
could not be in nag. Of course, some linking to task lists would be 
nice but it is more than we really need. Actually what hermes offers 
is fine with the only exception that there is no start time and end 
time field available.




2007-07-26 15:32:30 Jan Schneider Comment #2
State ⇒ Feedback
Priority ⇒ 1. Low
Reply to this comment
If you use Nag for providing the tasks that you track hours for, you 
can specify task dates, at least with the CVS HEAD version of Nag. 
Maybe this is what you are looking for.
2007-07-26 13:09:24 cenek (at) optimsys (dot) cz Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 3. High
Summary ⇒ Starting and ending time of a task
Queue ⇒ Hermes
Reply to this comment
Our company would like to replace our current groupware system 
(eGroupware) with Horde. However, the time tracking module is one of 
the crucial modules for us and we are currently missing a feature in 
Hermes that is critical for us - we need not only to log number of 
hours spent on a task but also the starting and ending time of the 
task. Typically, we open the timesheet when coming to job in the 
morning and filling an entry after finishing each task. I believe 
adding this feature should be a relatively simple task and could bring 
a great benefit to several users. Please consider this request.

Saved Queries